Option Strict On

Imports Quilogy.Education
Imports Quilogy.Education.Schedule

Imports System.IO
Imports System.Runtime.Serialization.Formatters.Binary
Imports System.EnterpriseServices
Imports System.Runtime.InteropServices
Imports System.Data.SqlClient
Imports System.Net

Module Module1



  Sub Main()

    Dim oReg As IQuilogyRegistrations
    Dim ds As StudentData

    'Try
      oReg = CType(Marshal.BindToMoniker( _
        "queue:/new:Quilogy.Education.Registrations"), IQuilogyRegistrations)

      oReg.RegisterStudent(ds)

      'Catch e As Exception
      '     Catch errors
      'Finally
      Marshal.ReleaseComObject(oReg)
      'End Try
    'iQc.DisplayMessage (messageToSend.Text);


    Dim strSQL As String
    strSQL = "data source=ssosa;initial catalog=enrollment;user id=sa"
    Dim o As New Classes(strSQL)
    'Dim ds As New ScheduleData()

    Try
      ' Show using the DA class to get a schedule
      'ds = o.GetSchedule(1, 1, 120)
      ds.WriteXml(Console.Out)

    Catch e As Exception
      MsgBox(e.Message)
    End Try

    Console.ReadLine()
  End Sub



  Sub identity()

    Dim ds As New DataSet()
    Dim cn As New SqlConnection("database=pubs;server=ssosa;uid=sa")
    Dim da As New SqlDataAdapter("select * from Teams", cn)
    Dim dr As DataRow
    Dim cm As New SqlCommand()
    Dim parm0Sql As SqlParameter
    Dim parmSql As SqlParameter

    cm.CommandText = "usp_AddTeam"
    cm.Connection = cn
    cm.CommandType = CommandType.StoredProcedure

    parm0Sql = New SqlParameter("@Name", SqlDbType.VarChar)
    parm0Sql.Size = 100
    parm0Sql.SourceColumn = "Name"
    cm.Parameters.Add(parm0Sql)

    parmSql = New SqlParameter("RETURN", SqlDbType.Int)
    parmSql.Direction = ParameterDirection.ReturnValue
    parmSql.SourceColumn = "TeamID"
    cm.Parameters.Add(parmSql)

    da.InsertCommand = cm

    da.Fill(ds)
    ds.WriteXml(Console.Out)

    ' Add a row
    dr = ds.Tables(0).NewRow
    dr("Name") = "Cubs"
    ds.Tables(0).Rows.Add(dr)

    ' Update
    Try
      da.Update(ds)
    Catch e As Exception
      MsgBox(e.Message)
    End Try

    ds.WriteXml(Console.Out)

  End Sub

  Sub GetPhoto()
    Dim byteBuffer() As Byte
    Dim fsSave As FileStream
    Dim brWriter As BinaryWriter
    Dim cmSQL As SqlCommand
    Dim dr As SqlDataReader
    Dim strSQL As String

    strSQL = "data source=ssosa;initial catalog=enrollment;user id=sa"
    Dim cnsql As New SqlConnection(strSQL)

    cmSQL = New SqlCommand("usp_GetPhoto", cnsql)
    cmSQL.Parameters.Add(New SqlParameter("@InsID", _
      SqlDbType.Int))
    cmSQL.Parameters("@InsID").Value = 2
    cmSQL.CommandType = CommandType.StoredProcedure
    cnsql.Open()
    dr = cmSQL.ExecuteReader()

    Do While dr.Read
      'byteBuffer = dr.Item("Photo")
    Loop

    fsSave = New FileStream("c:\photo.jpg", FileMode.Create, _
        FileAccess.Write, FileShare.None)
    brWriter = New BinaryWriter(fsSave)
    brWriter.Write(byteBuffer)
    brWriter.Close()
    fsSave.Close()

  End Sub

  Sub PutPhoto()


    Dim byteBuffer() As Byte
    Dim cmSQL As SqlCommand
    Dim fsSave As FileStream
    Dim brReader As BinaryReader
    Dim strSQL As String

    strSQL = "data source=ssosa;initial catalog=enrollment;user id=sa"
    Dim cnsql As New SqlConnection(strSQL)

    ' Write to a binary stream
    Try
      fsSave = New FileStream("c:\dfox.jpg", FileMode.Open, _
        FileAccess.Read, FileShare.None)
      ' Associate the stream writer with the file
      brReader = New BinaryReader(fsSave)
      'ReDim byteBuffer(fsSave.Length)
      'brReader.Read(byteBuffer, 0, fsSave.Length)
      brReader.Close()
      fsSave.Close()
    Catch e As IOException
      Throw New Exception("Error reading file : " & e.Message)
    End Try


    Try
      ' Execute proc
      cmSQL = New SqlCommand("usp_SavePhoto", cnsql)
      cmSQL.Parameters.Add(New SqlParameter("@InsID", _
        SqlDbType.Int))
      cmSQL.Parameters("@InsID").Value = 3
      cmSQL.Parameters.Add(New SqlParameter("@likeness", _
        SqlDbType.Image))
      cmSQL.Parameters("@likeness").Value = byteBuffer
      cmSQL.CommandType = CommandType.StoredProcedure
      cnsql.Open()
      cmSQL.ExecuteNonQuery()

    Catch e As Exception
      Throw New Exception("Database Error: " & e.Message)
    Finally
      If Not cnsql Is Nothing Then cnsql.Close()
    End Try

  End Sub

End Module

<InterfaceQueuing(True)> Public Interface IQuilogyRegistrations
  Sub RegisterStudent(ByVal student As quilogy.Education.StudentData)
End Interface

<SecureMethod()> _
Public Class Registrations : Inherits ServicedComponent
  Implements IQuilogyRegistrations

  <SecureMethod(), SecurityRole("Sales")> _
  Public Sub RegisterStudent(ByVal student As quilogy.Education.StudentData) _
    Implements IQuilogyRegistrations.RegisterStudent
    ' do the work here
  End Sub
End Class
