<%@ Page ClientTarget="uplevel" Language="vb" AutoEventWireup="false" Codebehind="studentprofile.aspx.vb" Inherits="QuilogyEducation.studentprofile" EnableSessionState="True" %>

<HTML>
  <HEAD>
		<TITLE>Student Profile
		</TITLE>
		<meta name="GENERATOR" content="Microsoft Visual Studio.NET 7.0">
		<meta name="CODE_LANGUAGE" content="Visual Basic 7.0">
		<meta name=vs_defaultClientScript content="JScript">
		<meta name=vs_targetSchema content="Internet Explorer 5.0">
		<LINK href="supplemental/site.css" type=text/css rel=stylesheet>
  </HEAD>
	<body MS_POSITIONING="GridLayout">
		<!-- #include file="navbar.htm" -->
	<form id="studentprofile" method=post runat="server">
		<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
			<TR>
				<TD align=left bgColor=#f3f0de>
					<TABLE cellSpacing=0 cellPadding=0 border=0>
						<TR>
							<TD valign=center align=left width=211>
								<IMG SRC="supplemental/services-maineducation.gif" width=211 height=45 border=0>
							</TD>
							<TD width=529 class="body-copy">
								<div class="body-copy" id="txtMessage" runat="server">
									<strong>To register enter your information and click Save.</strong></div>
									<asp:ValidationSummary id=ValidationSummary runat="server" ShowMessageBox=True 
										  CssClass="body-copy" DisplayMode=BulletList HeaderText="Errors occurred.">
									</asp:ValidationSummary>
								<!-- Place content here -->
									<table>
										<tr class="body-copy">
											<td><strong>First Name</strong></td>
											<td>
												<asp:TextBox ID="txtFName" Runat="server" 
												Text="<%# mdrStud(mdsStud.FIRST_NAME).ToString %>" ></asp:TextBox></td>
											<td><strong>Last Name</strong>
												<asp:RequiredFieldValidator id=LNameValidator  
												  ControlToValidate="txtLName" 
												  Display=Dynamic CssClass="body-copy"
													runat="server" ErrorMessage="Last Name is required" Text="*" >
												</asp:RequiredFieldValidator>
											</td>
											<td>
												<asp:TextBox ID="txtLName" Runat="server" 
												Text="<%# mdrStud(mdsStud.LAST_NAME).ToString %>" ></asp:TextBox></td>
										</tr>
										<tr class="body-copy">
											<td><strong>Organization</strong></td>
											<td>
												<asp:TextBox ID="txtOrg" Runat="server" 
												Text="<%# mdrStud(mdsStud.ORGANIZATION).ToString %>" ></asp:TextBox></td>
											<td><strong>Email</strong>
												<asp:RegularExpressionValidator id="EmailAtValidator" runat="server" 
														ErrorMessage="Email Address must contain @" 
														ValidationExpression="(.)+(@)+(.)+" Display=Static 
														Text="*" CssClass="body-copy" 
														ControlToValidate="txtEmail">
												</asp:RegularExpressionValidator>											
												<asp:RequiredFieldValidator id="EmailValidator"  ControlToValidate="txtEmail" 
												  Display=Dynamic CssClass="body-copy" 
													runat="server" ErrorMessage="Email address is required" Text="*">
												</asp:RequiredFieldValidator>
											</td>
											<td>
												<asp:TextBox ID="txtEmail" Runat="server" 
												Text="<%# mdrStud(mdsStud.EMAIL).ToString %>" ></asp:TextBox></td>
										</tr>
										<tr class="body-copy">
											<td><strong>Address</strong></td>
											<td colspan=3>
												<asp:TextBox ID="txtAddress" Runat="server" 
												  Text="<%# mdrStud(mdsStud.ADDRESS).ToString %>" width=407px>
												</asp:TextBox></td>
										</tr>
										<tr class="body-copy">
											<td><strong>City</strong></td>
											<td>
												<asp:TextBox ID="txtCity" Runat="server" 
												  Text="<%# mdrStud(mdsStud.CITY).ToString %>" >
												</asp:TextBox></td>
											<td><strong>State</strong></td>
											<td>
												<asp:TextBox ID="txtState" Runat="server" 
												  Text="<%# mdrStud(mdsStud.STATE).ToString %>" width=41px height="26px" >
												</asp:TextBox>&nbsp;&nbsp;&nbsp;&nbsp;<strong>Zip&nbsp;</strong>
												<asp:RegularExpressionValidator id=ZipValidator runat="server" 
												  ErrorMessage="Zip Code not formatted correctly" 
												  ValidationExpression="[0-9]{5}-[0-9]{4}|[0-9]{5}" 
												  Display=Static Text="*" CssClass="body-copy" ControlToValidate="txtZip">
												</asp:RegularExpressionValidator>
												<asp:TextBox ID="txtZip" Runat="server" 
												  Text="<%# mdrStud(mdsStud.ZIP_CODE).ToString %>" width=70px height="24px" >
												 </asp:TextBox></td>
										</tr>
										<tr class="body-copy">
											<td><strong>Phone</strong>
												<asp:RegularExpressionValidator id="PhoneValidator" runat="server" 
														ErrorMessage="Phone must be formatted (xxx) xxx-xxxx" 
														ValidationExpression="[(][0-9][0-9][0-9][)] [0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]" 
														Display=Static Text="*" CssClass="body-copy" 
														ControlToValidate="txtPhone">
												</asp:RegularExpressionValidator>	</td>
											<td>
												<asp:TextBox ID="txtPhone" Runat="server" 
												  Text="<%# mdrStud(mdsStud.PHONE).ToString %>" >
												</asp:TextBox></td>
											<td>
												<asp:Button ID="cmdSave" Text="Save" Runat="server" accesskey=s height="24px" width="78px">
												</asp:Button>
											</td>
										</tr>
									</table>
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
		</TABLE>
		</form>
		<!-- #include file="bottombar.htm" -->
	</body>
</HTML>
